package com.ez.ertc.meeting.contract;

import com.ez.ertc.meeting.bean.ErtcBeautyFilterEnum;
import com.ez.ertc.meeting.base.YsBasePresenter;
import com.ez.ertc.meeting.base.YsBaseView;
import com.ez.ertc.meeting.bean.FaceBeauty;

public
/**
 *
 *
 * @author xiezuoyuan
 * @time 2021/11/11 10:44
 */
interface BeautyConfigContract {
    interface View extends YsBaseView<Presenter> {
        void updateBeautyKit(FaceBeauty faceBeauty);
        void updateBeautyFilter(ErtcBeautyFilterEnum filterType, float filterIntensity);
    }
    interface Presenter extends YsBasePresenter {
        FaceBeauty getFaceBeauty();
        void setColorIntensity(int percent);
        void setRedIntensity(int percent);
        void setBlurIntensity(int percent);
        void resetIntensity();

        void setSelectedBeautyType(int type);
        int getSelectedBeautyType();

        int getCachedColorIntensityPercent();
        int getCachedRedIntensityPercent();
        int getCachedBlurIntensityPercent();

        int getDefaultColorIntensityPercent();
        int getDefaultRedIntensityPercent();
        int getDefaultBlurIntensityPercent();

        void setNoIntensity();

        void setFilterIntensity(String filterName,int percent);
        String getCachedFilterName();
        int getCachedFilterPercent();
    }
}
